Loading...
Searching...
No Matches
sdbus::AsyncMethodInvoker Class Reference

## Public Member Functions

AsyncMethodInvoker & | onInterface (const InterfaceName &interfaceName)
AsyncMethodInvoker & | onInterface (const std::string &interfaceName)
AsyncMethodInvoker & | onInterface (const char *interfaceName)
AsyncMethodInvoker & | withTimeout (uint64_t usec)
template<typename Rep, typename Period>
AsyncMethodInvoker & | withTimeout (const std::chrono::duration< Rep, Period > &timeout)
template<typename... Args>
AsyncMethodInvoker & | withArguments (Args &&... args)
template<typename Function>
PendingAsyncCall | uponReplyInvoke (Function &&callback)
template<typename Function>
Slot | uponReplyInvoke (Function &&callback, return_slot_t)
template<typename... Args>
std::future< future_return_t< Args... > > | getResultAsFuture ()
template<typename... Args>
Awaitable< awaitable_return_t< Args... > > | getResultAsAwaitable ()

The documentation for this class was generated from the following files:

- include/sdbus-c++/ConvenienceApiClasses.h
- include/sdbus-c++/ConvenienceApiClasses.inl